## openigtlink 1.10.5

=== CMakeLists.txt ===
PROJECT( OpenIGTLink )

cmake_minimum_required(VERSION 2.4)

if(COMMAND cmake_policy)
     cmake_policy(SET CMP0003 NEW)
     endif(COMMAND cmake_policy)

#-----------------------------------------------------------------------------
# OpenIGTlink version number.
SET(OpenIGTLink_VERSION_MAJOR "1")
SET(OpenIGTLink_VERSION_MINOR "10")
SET(OpenIGTLink_VERSION_PATCH "5")

option(OpenIGTLink_PROTOCOL_VERSION_2 "Build Library for Protocol Version 2" ON)

IF(OpenIGTLink_PROTOCOL_VERSION_2)
  SET(OpenIGTLink_PROTOCOL_VERSION "2")
ELSE(OpenIGTLink_PROTOCOL_VERSION_2)
  SET(OpenIGTLink_PROTOCOL_VERSION "1")
ENDIF(OpenIGTLink_PROTOCOL_VERSION_2)


#-----------------------------------------------------------------------------
# OpenIGTLink build configuration options.

OPTION(BUILD_SHARED_LIBS "Build OpenIGTLink with shared libraries." OFF)
SET(OpenIGTLink_BUILD_SHARED_LIBS ${BUILD_SHARED_LIBS})

if(NOT OpenIGTLink_BUILD_SHARED_LIBS)
  OPTION(BUILD_GENERATE_PIC "Generate position independent code (for static)." ON)
  SET(OpenIGTLink_BUILD_GENERATE_PIC ${BUILD_GENERATE_PIC})
endif(NOT OpenIGTLink_BUILD_SHARED_LIBS)

OPTION(BUILD_EXAMPLES "Build OpenIGTLink example programs." OFF)
SET(OpenIGTLink_BUILD_EXAMPLES ${BUILD_EXAMPLES})

OPTION(BUILD_TESTING "Build the testing tree." ON)
SET(OpenIGTLink_BUILD_TESTING ${BUILD_TESTING})
IF(OpenIGTLink_BUILD_TESTING)
  ENABLE_TESTING()
  INCLUDE (${CMAKE_ROOT}/Modules/Dart.cmake)
ENDIF()

#-----------------------------------------------------------------------------
# Output directories.

IF(NOT LIBRARY_OUTPUT_PATH)
  SET (LIBRARY_OUTPUT_PATH ${OpenIGTLink_BINARY_DIR}/bin CACHE INTERNAL "Single output directory for building all libraries.")
ENDIF(NOT LIBRARY_OUTPUT_PATH)
IF(NOT EXECUTABLE_OUTPUT_PATH)
  SET (EXECUTABLE_OUTPUT_PATH ${OpenIGTLink_BINARY_DIR}/bin CACHE INTERNAL "Single output directory for building all executables.")
ENDIF(NOT EXECUTABLE_OUTPUT_PATH)
MARK_AS_ADVANCED(LIBRARY_OUTPUT_PATH EXECUTABLE_OUTPUT_PATH)

SET(OpenIGTLink_LIBRARY_PATH "${LIBRARY_OUTPUT_PATH}")
SET(OpenIGTLink_EXECUTABLE_PATH "${EXECUTABLE_OUTPUT_PATH}")

SET(OpenIGTLink_CMAKE_DIR "${OpenIGTLink_SOURCE_DIR}/CMake")
SET(CMAKE_MODULE_PATH "${OpenIGTLink_SOURCE_DIR}/CMake" ${CMAKE_MODULE_PATH})




#-----------------------------------------------------------------------------
# Installation vars.
# OpenIGTLink_INSTALL_BIN_DIR          - binary dir (executables)
# OpenIGTLink_INSTALL_LIB_DIR          - library dir (libs)
# OpenIGTLink_INSTALL_DATA_DIR         - share dir (say, examples, data, etc)
# OpenIGTLink_INSTALL_INCLUDE_DIR      - include dir (headers)
# OpenIGTLink_INSTALL_PACKAGE_DIR      - package/export configuration files
# OpenIGTLink_INSTALL_NO_DEVELOPMENT   - do not install development files
# OpenIGTLink_INSTALL_NO_RUNTIME       - do not install runtime files
# OpenIGTLink_INSTALL_NO_DOCUMENTATION - do not install documentation files

IF(NOT OpenIGTLink_INSTALL_BIN_DIR)
  SET(OpenIGTLink_INSTALL_BIN_DIR "bin")
ENDIF(NOT OpenIGTLink_INSTALL_BIN_DIR)

IF(NOT OpenIGTLink_INSTALL_LIB_DIR)
  SET(OpenIGTLink_INSTALL_LIB_DIR "lib/igtl")
ENDIF(NOT OpenIGTLink_INSTALL_LIB_DIR)

IF(NOT OpenIGTLink_INSTALL_DATA_DIR)
  SET(OpenIGTLink_INSTALL_DATA_DIR "share/igtl")
ENDIF(NOT OpenIGTLink_INSTALL_DATA_DIR)

IF(NOT OpenIGTLink_INSTALL_INCLUDE_DIR)
  SET(OpenIGTLink_INSTALL_INCLUDE_DIR "include/igtl")
ENDIF(NOT OpenIGTLink_INSTALL_INCLUDE_DIR)

IF(NOT OpenIGTLink_INSTALL_PACKAGE_DIR)
  SET(OpenIGTLink_INSTALL_PACKAGE_DIR ${OpenIGTLink_INSTALL_LIB_DIR}
    CACHE INTERNAL "")
ENDIF(NOT OpenIGTLink_INSTALL_PACKAGE_DIR)

IF(NOT OpenIGTLink_INSTALL_NO_DOCUMENTATION)
  SET(OpenIGTLink_INSTALL_NO_DOCUMENTATION 0)
ENDIF(NOT OpenIGTLink_INSTALL_NO_DOCUMENTATION)

SET(OpenIGTLink_DIR "${CMAKE_BINARY_DIR}" CACHE INTERNAL "OpenIGTLink dir to be used by subprojects")

#-----------------------------------------------------------------------------
# Include directories

SET(OpenIGTLink_INCLUDE_DIRS_BUILD_TREE ${OpenIGTLink_INCLUDE_DIRS_BUILD_TREE}
  ${OpenIGTLink_BINARY_DIR}
  ${OpenIGTLink_SOURCE_DIR}/Source
  ${OpenIGTLink_SOURCE_DIR}/Source/igtlutil
)

INCLUDE_DIRECTORIES(
  ${OpenIGTLink_INCLUDE_DIRS_BUILD_TREE}
  )

#SET(OpenIGTLink_LIBRARY_PATH  ${OpenIGTLink_LIBRARY_PATH}
#  ${OpenIGTLink_BINARY_DIR}/Source
#  ${OpenIGTLink_BINARY_DIR}/Source/igtlutil
#  )

#-----------------------------------------------------------------------------
# OpenIGTLink requires special compiler flags on some platforms.


INCLUDE (FindThreads)

IF(CMAKE_COMPILER_IS_GNUCXX)

  # '-fno-tree-vectorize' option is added to avoid segmentation fault that occurs in
  # igtl_image_convert_byte_order() (Source/igtlutil/igtl_image.c) built with 'Release'
  # option on 64-bit Linux. 
  INCLUDE (CheckCXXCompilerFlag)
  CHECK_CXX_COMPILER_FLAG("-fno-tree-vectorize" OpenIGTLink_GNUCXX_TREE_VECTORIZE_SUPPORT)
  IF (OpenIGTLink_GNUCXX_TREE_VECTORIZE_SUPPORT)
    SET(OpenIGTLink_REQUIRED_C_FLAGS "${OpenIGTLink_REQUIRED_C_FLAGS} -w -fno-tree-vectorize")
    SET(OpenIGTLink_REQUIRED_CXX_FLAGS "${OpenIGTLink_REQUIRED_CXX_FLAGS} -ftemplate-depth-50 -fno-tree-vectorize")
  ENDIF (OpenIGTLink_GNUCXX_TREE_VECTORIZE_SUPPORT)

  # If the library is built as a static library, pass -fPIC option to the compiler
  IF(OpenIGTLink_BUILD_GENERATE_PIC)
    SET(OpenIGTLink_REQUIRED_C_FLAGS "${OpenIGTLink_REQUIRED_C_FLAGS} -fPIC")
    SET(OpenIGTLink_REQUIRED_CXX_FLAGS "${OpenIGTLink_REQUIRED_CXX_FLAGS} -fPIC")
  ENDIF(OpenIGTLink_BUILD_GENERATE_PIC)

  # pthread
  IF(CMAKE_HAVE_THREADS_LIBRARY)
    SET(OpenIGTLink_REQUIRED_LINK_FLAGS "${OpenIGTLink_REQUIRED_LINK_FLAGS} ${CMAKE_THREAD_LIBS_INIT}")
  ENDIF(CMAKE_HAVE_THREADS_LIBRARY)


#  IF(APPLE)
#    # -no-cpp-precomp and -Wno-long-double were compiler flags present
#    # only in Apple's gcc and not in the FSF gcc. The flags are obsolete
#    # and totally removed in gcc 4.2 and later. I believe they are only
#    # needed with gcc 3.3 and earlier.
#    INCLUDE(${OpenIGTLink_SOURCE_DIR}/CMake/itkCheckCXXAcceptsFlags.cmake)
#    itkCHECK_CXX_ACCEPTS_FLAGS("-no-cpp-precomp" CXX_HAS_CPP_PRECOMP_FLAG)
#    IF(CXX_HAS_CPP_PRECOMP_FLAG)    
#      SET(OpenIGTLink_REQUIRED_C_FLAGS "${OpenIGTLink_REQUIRED_C_FLAGS} -no-cpp-precomp")
#      SET(OpenIGTLink_REQUIRED_CXX_FLAGS "${OpenIGTLink_REQUIRED_CXX_FLAGS} -no-cpp-precomp")
#    ENDIF(CXX_HAS_CPP_PRECOMP_FLAG)    
#    itkCHECK_CXX_ACCEPTS_FLAGS("-Wno-long-double" CXX_HAS_LONGDOUBLE_FLAG)
#    IF(CXX_HAS_LONGDOUBLE_FLAG)    
#      SET(OpenIGTLink_REQUIRED_C_FLAGS "${OpenIGTLink_REQUIRED_C_FLAGS} -Wno-long-double")
#      SET(OpenIGTLink_REQUIRED_CXX_FLAGS "${OpenIGTLink_REQUIRED_CXX_FLAGS} -Wno-long-double")
#    ENDIF(CXX_HAS_LONGDOUBLE_FLAG)    
#
#    OPTION(OpenIGTLink_USE_64BITS_APPLE_TRUNCATION_WARNING "Turn on warnings on 64bits to 32bits truncations." OFF)
#    MARK_AS_ADVANCED(OpenIGTLink_USE_64BITS_APPLE_TRUNCATION_WARNING)
#
#  ENDIF(APPLE)
ENDIF(CMAKE_COMPILER_IS_GNUCXX)


# for the gnu compiler a -D_PTHREADS is needed on sun
# for the native compiler a -mt flag is needed on the sun
IF(CMAKE_USE_PTHREADS)
  IF(CMAKE_SYSTEM MATCHES "SunOS.*")
    IF(CMAKE_COMPILER_IS_GNUCXX)
      SET(OpenIGTLink_REQUIRED_CXX_FLAGS "${OpenIGTLink_REQUIRED_CXX_FLAGS} -D_PTHREADS")
    ELSE(CMAKE_COMPILER_IS_GNUCXX)
      SET(OpenIGTLink_REQUIRED_CXX_FLAGS "${OpenIGTLink_REQUIRED_CXX_FLAGS} -mt")
      SET(OpenIGTLink_REQUIRED_C_FLAGS "${OpenIGTLink_REQUIRED_C_FLAGS} -mt")
    ENDIF(CMAKE_COMPILER_IS_GNUCXX)
  ENDIF(CMAKE_SYSTEM MATCHES "SunOS.*")
ENDIF(CMAKE_USE_PTHREADS)


#-----------------------------------------------------------------------------
# Platform configuration tests.

# Socket tests etc.
INCLUDE(${OpenIGTLink_CMAKE_DIR}/OpenIGTLinkCMakeTests.cmake)



#-----------------------------------------------------------------------------
# Generate Configuration Header files.

include (${OpenIGTLink_SOURCE_DIR}/OpenIGTLinkConfigPlatform.cmake)

CONFIGURE_FILE(${OpenIGTLink_SOURCE_DIR}/igtlConfigure.h.in 
  ${OpenIGTLink_BINARY_DIR}/igtlConfigure.h)

CONFIGURE_FILE(${OpenIGTLink_SOURCE_DIR}/igtl_typeconfig.h.in 
  ${OpenIGTLink_BINARY_DIR}/igtl_typeconfig.h)

CONFIGURE_FILE(${OpenIGTLink_SOURCE_DIR}/igtlTypeConfig.h.in 
  ${OpenIGTLink_BINARY_DIR}/igtlTypeConfig.h)


#-----------------------------------------------------------------------------
# Help other projects use OpenIGTLink.

# Copy the UseOpenIGTLink.cmake file to the binary tree for backward compatability.
CONFIGURE_FILE(${OpenIGTLink_SOURCE_DIR}/UseOpenIGTLink.cmake.in
${OpenIGTLink_BINARY_DIR}/UseOpenIGTLink.cmake COPYONLY IMMEDIATE)

# Create the OpenIGTLinkConfig.cmake file containing the OpenIGTLink configuration.
INCLUDE (${OpenIGTLink_SOURCE_DIR}/GenerateOpenIGTLinkConfig.cmake)

# Save the compiler settings so another project can import them.
INCLUDE(${CMAKE_ROOT}/Modules/CMakeExportBuildSettings.cmake)
CMAKE_EXPORT_BUILD_SETTINGS(${OpenIGTLink_BINARY_DIR}/OpenIGTLinkBuildSettings.cmake)

# Save library dependencies.
#EXPORT_LIBRARY_DEPENDENCIES(${OpenIGTLink_BINARY_DIR}/OpenIGTLinkLibraryDepends.cmake)

INSTALL(FILES
  ${OpenIGTLink_BINARY_DIR}/OpenIGTLinkBuildSettings.cmake
#  ${OpenIGTLink_BINARY_DIR}/OpenIGTLinkLibraryDepends.cmake
  ${OpenIGTLink_BINARY_DIR}/UseOpenIGTLink.cmake
  ${OpenIGTLink_BINARY_DIR}/Utilities/OpenIGTLinkConfig.cmake
  DESTINATION ${OpenIGTLink_INSTALL_PACKAGE_DIR}
  COMPONENT Development
  )

INSTALL(FILES
  ${OpenIGTLink_BINARY_DIR}/igtlConfigure.h
  DESTINATION ${OpenIGTLink_INSTALL_INCLUDE_DIR}
  COMPONENT Development
  )

INSTALL(FILES
  ${OpenIGTLink_BINARY_DIR}/igtl_typeconfig.h
  DESTINATION ${OpenIGTLink_INSTALL_INCLUDE_DIR}
  COMPONENT Development
  )

INSTALL(FILES
  ${OpenIGTLink_BINARY_DIR}/igtlTypeConfig.h
  DESTINATION ${OpenIGTLink_INSTALL_INCLUDE_DIR}
  COMPONENT Development
  )

#-----------------------------------------------------------------------------
# Add compiler flags OpenIGTLink needs to work on this platform.  This must be
# done AFTER the call to CMAKE_EXPORT_BUILD_SETTINGS.

SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenIGTLink_REQUIRED_C_FLAGS}")
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenIGTLink_REQUIRED_CXX_FLAGS}")
SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${OpenIGTLink_REQUIRED_LINK_FLAGS}")
SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} ${OpenIGTLink_REQUIRED_LINK_FLAGS}")
SET(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} ${OpenIGTLink_REQUIRED_LINK_FLAGS}")


#-----------------------------------------------------------------------------
# Configure Subdirectories

ADD_SUBDIRECTORY( Source    )
ADD_SUBDIRECTORY( Tools     )

IF(OpenIGTLink_BUILD_TESTING)
  ADD_SUBDIRECTORY( Testing )
ENDIF(OpenIGTLink_BUILD_TESTING)

IF(OpenIGTLink_BUILD_EXAMPLES)
 ADD_SUBDIRECTORY( Examples )
ENDIF(OpenIGTLink_BUILD_EXAMPLES)



#-----------------------------------------------------------------------------
# Doxygen 

OPTION(BUILD_DOCUMENTATION "Build OpenIGTLink Documentation" OFF)

IF(BUILD_DOCUMENTATION)

  ADD_SUBDIRECTORY( Documents/Doxygen )
               
ENDIF(BUILD_DOCUMENTATION)

=== Source/CMakeLists.txt ===
# list of libraries
# Note: this part should be moved to OpenIGTLinkConfigPlatform.cmake
IF(OpenIGTLink_PLATFORM_WIN32) # for Windows
  SET(LINK_LIBS
    ws2_32
    wsock32
  )
ELSE(OpenIGTLink_PLATFORM_WIN32) # for POSIX-compatible OSs
  SET(LINK_LIBS
    m
    pthread
  )
  IF(OpenIGTLink_PLATFORM_QNX)
    SET(LINK_LIBS
      ${LINK_LIBS}
      c
      socket
    )
  ENDIF(OpenIGTLink_PLATFORM_QNX)
  IF(OpenIGTLink_PLATFORM_SUNOS)
    SET(LINK_LIBS
      ${LINK_LIBS}
      ${OpenIGTLink_STD_LINK_LIBRARIES}
    )
  ENDIF(OpenIGTLink_PLATFORM_SUNOS)
ENDIF(OpenIGTLink_PLATFORM_WIN32)


ADD_SUBDIRECTORY( igtlutil )

SET(OpenIGTLink_SOURCES
  igtlutil/igtl_header.c
  igtlutil/igtl_image.c
  igtlutil/igtl_transform.c
  igtlutil/igtl_status.c
  igtlutil/igtl_util.c
  igtlutil/igtl_position.c
  igtlutil/igtl_capability.c
  igtlClientSocket.cxx
  igtlConditionVariable.cxx
  igtlFastMutexLock.cxx
  igtlImageMessage.cxx
  igtlImageMessage2.cxx
  igtlLightObject.cxx
  igtlMath.cxx
  igtlMessageBase.cxx
  igtlMultiThreader.cxx
  igtlMutexLock.cxx
  igtlOSUtil.cxx
  igtlObject.cxx
  igtlObjectFactoryBase.cxx
  igtlPositionMessage.cxx
  igtlServerSocket.cxx
  igtlSessionManager.cxx
  igtlSimpleFastMutexLock.cxx
  igtlSocket.cxx
  igtlStatusMessage.cxx
  igtlTimeStamp.cxx
  igtlTransformMessage.cxx
  )

SET(OpenIGTLink_INCLUDE_FILES
  igtlutil/igtl_header.h
  igtlutil/igtl_image.h
  igtlutil/igtl_position.h
  igtlutil/igtl_transform.h
  igtlutil/igtl_types.h
  igtlutil/igtl_util.h
  igtlutil/igtl_capability.h
  igtlutil/igtl_win32header.h
  igtlMessageHandler.h
  igtlMessageHandlerMacro.h
  igtlClientSocket.h
  igtlConditionVariable.h
  igtlCreateObjectFunction.h
  igtlFastMutexLock.h
  igtlImageMessage.h
  igtlImageMessage2.h
  igtlLightObject.h
  igtlMacro.h
  igtlMath.h
  igtlMessageBase.h
  igtlMessageHeader.h
  igtlMultiThreader.h
  igtlMutexLock.h
  igtlObjectFactory.h
  igtlOSUtil.h
  igtlObject.h
  igtlObjectFactoryBase.h
  igtlPositionMessage.h
  igtlServerSocket.h
  igtlSessionManager.h
  igtlSimpleFastMutexLock.h
  igtlSmartPointer.h
  igtlSocket.h
  igtlStatusMessage.h
  igtlTimeStamp.h
  igtlTransformMessage.h
  igtlTypes.h
  igtlWin32Header.h
  igtlWindows.h
)


if (${OpenIGTLink_PROTOCOL_VERSION} STREQUAL "2")
  SET(OpenIGTLink_SOURCES
    ${OpenIGTLink_SOURCES}
    igtlutil/igtl_colortable.c
    igtlutil/igtl_imgmeta.c
    igtlutil/igtl_lbmeta.c
    igtlutil/igtl_point.c
    igtlutil/igtl_tdata.c
    igtlutil/igtl_qtdata.c
    igtlutil/igtl_trajectory.c
    igtlutil/igtl_unit.c
    igtlutil/igtl_sensor.c
    igtlutil/igtl_string.c
    igtlutil/igtl_ndarray.c
    igtlutil/igtl_bind.c
    igtlutil/igtl_qtrans.c
    igtlutil/igtl_polydata.c
    igtlColorTableMessage.cxx
    igtlCapabilityMessage.cxx
    igtlImageMetaMessage.cxx
    igtlLabelMetaMessage.cxx
    igtlPointMessage.cxx
    igtlTrackingDataMessage.cxx
    igtlPolyDataMessage.cxx
    igtlQuaternionTrackingDataMessage.cxx
    igtlTrajectoryMessage.cxx
    igtlStringMessage.cxx
    igtlUnit.cxx
    igtlSensorMessage.cxx
    igtlBindMessage.cxx
    igtlNDArrayMessage.cxx
    )
  SET(OpenIGTLink_INCLUDE_FILES
    ${OpenIGTLink_INCLUDE_FILES}
    igtlutil/igtl_colortable.h
    igtlutil/igtl_imgmeta.h
    igtlutil/igtl_lbmeta.h
    igtlutil/igtl_point.h
    igtlutil/igtl_tdata.h
    igtlutil/igtl_qtdata.h
    igtlutil/igtl_trajectory.h
    igtlutil/igtl_unit.h
    igtlutil/igtl_sensor.h
    igtlutil/igtl_string.h
    igtlutil/igtl_ndarray.h
    igtlutil/igtl_bind.h
    igtlutil/igtl_qtrans.h
    igtlutil/igtl_polydata.h
    igtlColorTableMessage.h
    igtlCapabilityMessage.h
    igtlImageMetaMessage.h
    igtlLabelMetaMessage.h
    igtlPointMessage.h
    igtlTrackingDataMessage.h
    igtlPolyDataMessage.h
    igtlQuaternionTrackingDataMessage.h
    igtlTrajectoryMessage.h
    igtlStringMessage.h
    igtlUnit.h
    igtlSensorMessage.h
    igtlBindMessage.h
    igtlNDArrayMessage.h
    )
endif (${OpenIGTLink_PROTOCOL_VERSION} STREQUAL "2")

ADD_LIBRARY(OpenIGTLink
  ${OpenIGTLink_SOURCES}
  )

TARGET_LINK_LIBRARIES(OpenIGTLink
  ${LINK_LIBS}
  )

SET_TARGET_PROPERTIES(OpenIGTLink PROPERTIES
  VERSION ${OpenIGTLink_VERSION_MAJOR}.${OpenIGTLink_VERSION_MINOR}.${OpenIGTLink_VERSION_PATCH}
  SOVERSION ${OpenIGTLink_VERSION_MAJOR}
)

#FILE(GLOB __files1 "${CMAKE_CURRENT_SOURCE_DIR}/*.h")
#INSTALL(FILES ${__files1}
#  DESTINATION ${OpenIGTLink_INSTALL_INCLUDE_DIR}
#  COMPONENT Development)
#
#FILE(GLOB __files2 "${CMAKE_CURRENT_SOURCE_DIR}/igtlutil/*.h")
#INSTALL(FILES ${__files2}
#  DESTINATION ${OpenIGTLink_INSTALL_INCLUDE_DIR}/igtlutil
#  COMPONENT Development)

INSTALL(FILES ${OpenIGTLink_INCLUDE_FILES}
  DESTINATION ${OpenIGTLink_INSTALL_INCLUDE_DIR}
  COMPONENT Development)

INSTALL(TARGETS OpenIGTLink
  RUNTIME DESTINATION ${OpenIGTLink_INSTALL_BIN_DIR} COMPONENT RuntimeLibraries
  LIBRARY DESTINATION ${OpenIGTLink_INSTALL_LIB_DIR} COMPONENT RuntimeLibraries
  ARCHIVE DESTINATION ${OpenIGTLink_INSTALL_LIB_DIR} COMPONENT Development)

=== Testing/CMakeLists.txt ===
ADD_SUBDIRECTORY( igtlutil )

find_package(OpenIGTLink REQUIRED)
include(${OpenIGTLink_USE_FILE})

ADD_EXECUTABLE(igtlSocketTest   igtlSocketTest.cxx)
ADD_EXECUTABLE(igtlMultiThreaderTest1   igtlMultiThreaderTest1.cxx)
ADD_EXECUTABLE(igtlMultiThreaderTest2   igtlMultiThreaderTest2.cxx)
ADD_EXECUTABLE(igtlMultiThreaderTest3   igtlMultiThreaderTest3.cxx)

TARGET_LINK_LIBRARIES(igtlSocketTest OpenIGTLink)
TARGET_LINK_LIBRARIES(igtlMultiThreaderTest1 OpenIGTLink)
TARGET_LINK_LIBRARIES(igtlMultiThreaderTest2 OpenIGTLink)
TARGET_LINK_LIBRARIES(igtlMultiThreaderTest3 OpenIGTLink)

ADD_TEST(igtlSocketTest ${OpenIGTLink_EXECUTABLE_PATH}/igtlSocketTest)
ADD_TEST(igtlMultiThreaderTest1 ${OpenIGTLink_EXECUTABLE_PATH}/igtlMultiThreaderTest1)
ADD_TEST(igtlMultiThreaderTest2 ${OpenIGTLink_EXECUTABLE_PATH}/igtlMultiThreaderTest2)
ADD_TEST(igtlMultiThreaderTest3 ${OpenIGTLink_EXECUTABLE_PATH}/igtlMultiThreaderTest3)

=== Examples/Imager/CMakeLists.txt ===
PROJECT(Imager)

cmake_minimum_required(VERSION 2.4)
if(COMMAND cmake_policy)
  cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

find_package(OpenIGTLink REQUIRED)

include(${OpenIGTLink_USE_FILE})

ADD_EXECUTABLE(ImagerClient   ImagerClient.cxx)
TARGET_LINK_LIBRARIES(ImagerClient OpenIGTLink)

ADD_EXECUTABLE(ImagerClient2   ImagerClient2.cxx)
TARGET_LINK_LIBRARIES(ImagerClient2 OpenIGTLink)

ADD_EXECUTABLE(ImagerServer   ImagerServer.cxx)
TARGET_LINK_LIBRARIES(ImagerServer OpenIGTLink)

=== Examples/PolyData/CMakeLists.txt ===
PROJECT(PolyData)

cmake_minimum_required(VERSION 2.4)
if(COMMAND cmake_policy)
  cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

find_package(OpenIGTLink REQUIRED)

include(${OpenIGTLink_USE_FILE})


## igtl::PolyDataMessage examples
ADD_EXECUTABLE(PolyDataServer   PolyDataServer.cxx)
TARGET_LINK_LIBRARIES(PolyDataServer OpenIGTLink)

ADD_EXECUTABLE(PolyDataClient   PolyDataClient.cxx)
TARGET_LINK_LIBRARIES(PolyDataClient OpenIGTLink)

=== debian/changelog ===
openigtlink (1.10.5-1ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 04 Aug 2015 11:34:40 +0100

openigtlink (1.10.5-1) unstable; urgency=low

  * new upstream release (Closes: #730743)
  * Update to Debian Policy 3.9.5 (no changes)

 -- Dominique Belhachemi <domibel@debian.org>  Tue, 03 Dec 2013 22:27:13 -0500

openigtlink (1.10.4~git20131104+3ac531115f-2) unstable; urgency=low

  * renamed package from libopenigtlink1-dev to libopenigtlink-dev

 -- Dominique Belhachemi <domibel@debian.org>  Mon, 18 Nov 2013 21:19:51 -0500

openigtlink (1.10.4~git20131104+3ac531115f-1) unstable; urgency=low

  * upload to unstable
  * added DEB_COMPRESS_EXCLUDE_ALL

 -- Dominique Belhachemi <domibel@debian.org>  Sun, 10 Nov 2013 18:10:35 -0500

openigtlink (1.10.2~git20131004+00bc77849f-1) experimental; urgency=low

  * update to libopenigtlink1.10
  * fixes tests on armel, armfh, powerpc, s390, and s390x

 -- Dominique Belhachemi <domibel@debian.org>  Sun, 06 Oct 2013 20:49:36 -0400

openigtlink (1.9.8~git20130725+bacab6f8b1-2) experimental; urgency=low

  * use build indep target install/openigtlink-doc:: to build documentation
  * removed DM-Upload-Allowed field

 -- Dominique Belhachemi <domibel@debian.org>  Sun, 18 Aug 2013 02:48:09 -0400

openigtlink (1.9.8~git20130725+bacab6f8b1-1) experimental; urgency=low

  * switch to new upstream repository on github
  * updated homepage to http://openigtlink.org
  * Bump compat level to 9
  * Update to Debian Policy 3.8.4 (no changes)

  [Andreas Tille]
  * debian/control:
     - Fixed Vcs fields
     - More verbose long description

 -- Dominique Belhachemi <domibel@debian.org>  Sun, 18 Aug 2013 02:13:36 -0400

=== debian/control ===
Source: openigtlink
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Dominique Belhachemi <domibel@debian.org>
Build-Depends: debhelper (>= 9), cmake, cdbs, quilt
Build-Depends-Indep: doxygen-latex
Standards-Version: 3.9.5
Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/openigtlink/trunk/
Vcs-Svn: svn://svn.debian.org/debian-science/packages/openigtlink/trunk/
Section: libs
Homepage: http://openigtlink.org


Package: libopenigtlink-dev
Replaces: libopenigtlink1-dev (<< 1.10.4~git20131104+3ac531115f-2)
Breaks: libopenigtlink1-dev (<< 1.10.4~git20131104+3ac531115f-2)
Section: libdevel
Architecture: any
Depends: libopenigtlink1.10v5 (= ${binary:Version}), ${misc:Depends}
Description: Open IGT Link is a simple network protocol - development
 Open IGT Link is a simple network protocol intended for trackers,
 robots and other devices to send data to the main application.
 Some devices might also accept commands.
 .
 For example applications may include:
  * Stereotactic surgical guidance using optical position sensor and
    medical image visualization software.
  * Intraoperative image guidance using real-time MRI and medical image
    visualization software
  * Robot-assisted intervention using robotic device and surgical planning
    software 
 .
 This package contains the development files needed to build
 your own IGT applications.


Package: libopenigtlink1.10v5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libopenigtlink1.10
Replaces: libopenigtlink1.10
Description: Open IGT Link is a simple network protocol - runtime
 Open IGT Link is a simple network protocol intended for trackers,
 robots and other devices to send data to the main application. 
 Some devices might also accept commands.
 .
 For example applications may include:
  * Stereotactic surgical guidance using optical position sensor and
    medical image visualization software.
  * Intraoperative image guidance using real-time MRI and medical image
    visualization software
  * Robot-assisted intervention using robotic device and surgical planning
    software 
 .
 This package contains library files for OpenIGTLink.
 

Package: libopenigtlink1.10v5-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
    libopenigtlink1.10v5 (= ${binary:Version}),
    ${misc:Depends}
Conflicts: libopenigtlink1.10-dbg
Replaces: libopenigtlink1.10-dbg
Description: debugging symbols for libopenigtlink1.10v5
 Open IGT Link is a simple network protocol intended for trackers,
 robots and other devices to send data to the main application.
 Some devices might also accept commands.
 .
 For example applications may include:
  * Stereotactic surgical guidance using optical position sensor and
    medical image visualization software.
  * Intraoperative image guidance using real-time MRI and medical image
    visualization software
  * Robot-assisted intervention using robotic device and surgical planning
    software 
 .
 This package contains the debugging symbols for libopenigtlink1.10.


Package: openigtlink-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Open IGT Link is a simple network protocol - documentation
 Open IGT Link is a simple network protocol intended for trackers,
 robots and other devices to send data to the main application.
 Some devices might also accept commands.
 .
 For example applications may include:
  * Stereotactic surgical guidance using optical position sensor and
    medical image visualization software.
  * Intraoperative image guidance using real-time MRI and medical image
    visualization software
  * Robot-assisted intervention using robotic device and surgical planning
    software 
 .
 This package contains documentation files for OpenIGTLink.


Package: openigtlink-examples
Section: doc
Suggests: libopenigtlink-dev
Architecture: all
Depends: ${misc:Depends}
Description: Open IGT Link is a simple network protocol - examples
 Open IGT Link is a simple network protocol intended for trackers,
 robots and other devices to send data to the main application.
 Some devices might also accept commands.
 .
 For example applications may include:
  * Stereotactic surgical guidance using optical position sensor and
    medical image visualization software.
  * Intraoperative image guidance using real-time MRI and medical image
    visualization software
  * Robot-assisted intervention using robotic device and surgical planning
    software 
 .
 This package contains examples from the OpenIGTLink source.
 .
 Consult /usr/share/doc/libopenigtlink-dev/README.Debian for details.

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE=1

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_CMAKE_EXTRA_FLAGS = \
        -DCMAKE_INSTALL_PREFIX:PATH=/usr \
        -DCMAKE_BUILD_TYPE:STRING=Release \
        -DCMAKE_SKIP_RPATH:BOOL=ON \
        -DBUILD_SHARED_LIBS:BOOL=ON \
        -DBUILD_DOCUMENTATION:BOOL=ON \
        -DBUILD_TESTING:BOOL=ON \
        -DBUILD_EXAMPLES:BOOL=OFF \
        -DOpenIGTLink_PROTOCOL_VERSION_2:BOOL=ON \
        -DCMAKE_VERBOSE_MAKEFILE=$(DH_VERBOSE) \

DEB_COMPRESS_EXCLUDE_ALL = openigtlink-examples/examples

build/libopenigtlink1.10v5::
	- cd $(DEB_BUILDDIR) && LD_LIBRARY_PATH=`pwd`/bin:$$LD_LIBRARY_PATH ctest -VV

install/libopenigtlink1.10v5::
	dh_install -plibopenigtlink1.10    debian/tmp/usr/lib/*.so.*                usr/lib

install/libopenigtlink-dev::
	dh_install -plibopenigtlink-dev    debian/tmp/usr/include/openigtlink/*     usr/include/openigtlink
	dh_install -plibopenigtlink-dev    debian/tmp/usr/lib/*.so                  usr/lib
	dh_install -plibopenigtlink-dev    debian/tmp/usr/lib/openigtlink/*.cmake   usr/lib/openigtlink

install/openigtlink-examples::
	dh_installexamples -popenigtlink-examples Examples/*

# the first two lines have been moved from target "build/openigtlink-doc::" because of build errors on all architectures
# e.g. https://buildd.debian.org/fetch.cgi?pkg=openigtlink&arch=armel&ver=1.9.2~svn7380-1&stamp=1303034727&file=log
install/openigtlink-doc::
	mkdir -p $(DEB_BUILDDIR)/Documents/Doxygen
	doxygen -u $(DEB_BUILDDIR)/Utilities/Doxygen/doxygen.config
	doxygen $(DEB_BUILDDIR)/Utilities/Doxygen/doxygen.config
	dh_install -popenigtlink-doc       $(DEB_BUILDDIR)/Documents/Doxygen/html   usr/share/doc/openigtlink-doc


get-orig-source:
	/bin/sh $(CURDIR)/debian/get-orig-source

## openigtlink 1.11.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,8 +9,8 @@
 #-----------------------------------------------------------------------------
 # OpenIGTlink version number.
 SET(OpenIGTLink_VERSION_MAJOR "1")
-SET(OpenIGTLink_VERSION_MINOR "10")
-SET(OpenIGTLink_VERSION_PATCH "5")
+SET(OpenIGTLink_VERSION_MINOR "11")
+SET(OpenIGTLink_VERSION_PATCH "0")
 
 option(OpenIGTLink_PROTOCOL_VERSION_2 "Build Library for Protocol Version 2" ON)

=== Examples/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.4)

#
# Examples
#


SET(EXAMPLE_DIRS
  Tracker
  Imager
  Status
  Receiver
  Thread
  )

if (${OpenIGTLink_PROTOCOL_VERSION} STREQUAL "2")
  SET(EXAMPLE_DIRS
    ${EXAMPLE_DIRS}
    ImageMeta
    Point
    TrackingData
    QuaternionTrackingData
    ImageDatabaseServer
    String
    Bind
    PolyData
    Capability
    Trajectory
    SessionManager
    )
endif (${OpenIGTLink_PROTOCOL_VERSION} STREQUAL "2")


## Imager program isn't supported by QNX

if(NOT OpenIGTLink_PLATFORM_QNX)
  SUBDIRS(
    ${EXAMPLE_DIRS}  
    )
else(NOT OpenIGTLink_PLATFORM_QNX)
  SUBDIRS(
      Tracker
      Status
      Receiver
      )
endif(NOT OpenIGTLink_PLATFORM_QNX)

=== Source/CMakeLists.txt ===
--- 
+++ 
@@ -44,6 +44,7 @@
   igtlLightObject.cxx
   igtlMath.cxx
   igtlMessageBase.cxx
+  igtlMessageFactory.cxx
   igtlMultiThreader.cxx
   igtlMutexLock.cxx
   igtlOSUtil.cxx
@@ -80,6 +81,7 @@
   igtlMacro.h
   igtlMath.h
   igtlMessageBase.h
+  igtlMessageFactory.h
   igtlMessageHeader.h
   igtlMultiThreader.h
   igtlMutexLock.h

=== Testing/CMakeLists.txt ===
--- 
+++ 
@@ -7,16 +7,21 @@
 ADD_EXECUTABLE(igtlMultiThreaderTest1   igtlMultiThreaderTest1.cxx)
 ADD_EXECUTABLE(igtlMultiThreaderTest2   igtlMultiThreaderTest2.cxx)
 ADD_EXECUTABLE(igtlMultiThreaderTest3   igtlMultiThreaderTest3.cxx)
+ADD_EXECUTABLE(igtlMessageFactoryTest   igtlMessageFactoryTest.cxx)
+ADD_EXECUTABLE(igtlTimeStampTest1   igtlTimeStampTest1.cxx)
 
 TARGET_LINK_LIBRARIES(igtlSocketTest OpenIGTLink)
 TARGET_LINK_LIBRARIES(igtlMultiThreaderTest1 OpenIGTLink)
 TARGET_LINK_LIBRARIES(igtlMultiThreaderTest2 OpenIGTLink)
 TARGET_LINK_LIBRARIES(igtlMultiThreaderTest3 OpenIGTLink)
+TARGET_LINK_LIBRARIES(igtlMessageFactoryTest OpenIGTLink)
+TARGET_LINK_LIBRARIES(igtlTimeStampTest1 OpenIGTLink)
 
 ADD_TEST(igtlSocketTest ${OpenIGTLink_EXECUTABLE_PATH}/igtlSocketTest)
 ADD_TEST(igtlMultiThreaderTest1 ${OpenIGTLink_EXECUTABLE_PATH}/igtlMultiThreaderTest1)
 ADD_TEST(igtlMultiThreaderTest2 ${OpenIGTLink_EXECUTABLE_PATH}/igtlMultiThreaderTest2)
 ADD_TEST(igtlMultiThreaderTest3 ${OpenIGTLink_EXECUTABLE_PATH}/igtlMultiThreaderTest3)
+ADD_TEST(igtlMessageFactoryTest ${OpenIGTLink_EXECUTABLE_PATH}/igtlMessageFactoryTest)
+ADD_TEST(igtlTimeStampTest1 ${OpenIGTLink_EXECUTABLE_PATH}/igtlTimeStampTest1)
 
 
-

=== Examples/Bind/CMakeLists.txt ===
PROJECT(Bind)

cmake_minimum_required(VERSION 2.4)
if(COMMAND cmake_policy)
  cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

find_package(OpenIGTLink REQUIRED)

include(${OpenIGTLink_USE_FILE})

ADD_EXECUTABLE(BindClient   BindClient.cxx)
TARGET_LINK_LIBRARIES(BindClient OpenIGTLink)

#ADD_EXECUTABLE(BindServer   BindServer.cxx)
#TARGET_LINK_LIBRARIES(BindServer OpenIGTLink)

=== Examples/Point/CMakeLists.txt ===
PROJECT(Point)

cmake_minimum_required(VERSION 2.4)
if(COMMAND cmake_policy)
  cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

find_package(OpenIGTLink REQUIRED)

include(${OpenIGTLink_USE_FILE})

ADD_EXECUTABLE(PointClient   PointClient.cxx)
TARGET_LINK_LIBRARIES(PointClient OpenIGTLink)

ADD_EXECUTABLE(PointServer   PointServer.cxx)
TARGET_LINK_LIBRARIES(PointServer OpenIGTLink)

ADD_EXECUTABLE(PointListServer   PointListServer.cxx)
TARGET_LINK_LIBRARIES(PointListServer OpenIGTLink)

=== Examples/QuaternionTrackingData/CMakeLists.txt ===
PROJECT(QuaternionTrackingData)

cmake_minimum_required(VERSION 2.4)
if(COMMAND cmake_policy)
  cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

find_package(OpenIGTLink REQUIRED)

include(${OpenIGTLink_USE_FILE})

ADD_EXECUTABLE(QuaternionTrackingDataClient   QuaternionTrackingDataClient.cxx)
TARGET_LINK_LIBRARIES(QuaternionTrackingDataClient OpenIGTLink)

ADD_EXECUTABLE(QuaternionTrackingDataServer   QuaternionTrackingDataServer.cxx)
TARGET_LINK_LIBRARIES(QuaternionTrackingDataServer OpenIGTLink)

=== Examples/Status/CMakeLists.txt ===
PROJECT(Status)

cmake_minimum_required(VERSION 2.4)
if(COMMAND cmake_policy)
  cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

find_package(OpenIGTLink REQUIRED)

include(${OpenIGTLink_USE_FILE})

ADD_EXECUTABLE(StatusClient   StatusClient.cxx)
TARGET_LINK_LIBRARIES(StatusClient OpenIGTLink)
ADD_EXECUTABLE(StatusServer   StatusServer.cxx)
TARGET_LINK_LIBRARIES(StatusServer OpenIGTLink)

=== Examples/String/CMakeLists.txt ===
PROJECT(String)

cmake_minimum_required(VERSION 2.4)
if(COMMAND cmake_policy)
  cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

find_package(OpenIGTLink REQUIRED)

include(${OpenIGTLink_USE_FILE})

ADD_EXECUTABLE(StringClient   StringClient.cxx)
TARGET_LINK_LIBRARIES(StringClient OpenIGTLink)

ADD_EXECUTABLE(StringServer   StringServer.cxx)
TARGET_LINK_LIBRARIES(StringServer OpenIGTLink)

ADD_EXECUTABLE(StringEchoServer   StringEchoServer.cxx)
TARGET_LINK_LIBRARIES(StringEchoServer OpenIGTLink)

=== Source/igtlutil/CMakeLists.txt ===
#SET(IGTL_UTIL_PROTOCOL_VERSION "1")
#SET(IGTL_UTIL_PROTOCOL_VERSION ${OpenIGTLink_PROTOCOL_VERSION})

if(OpenIGTLink_BUILD_SHARED_LIBS)
  set(igtlutil_BUILD_SHARED_LIBS ${OpenIGTLink_BUILD_SHARED_LIBS})
  
endif(OpenIGTLink_BUILD_SHARED_LIBS)

if(OpenIGTLink_BUILD_GENERATE_PIC)
  set(igtlutil_BUILD_GENERATE_PIC ${OpenIGTLink_BUILD_GENERATE_PIC})
  set(IGTLSTATIC 1)
endif(OpenIGTLink_BUILD_GENERATE_PIC)

SET(igtlutil_HEADS
  igtl_header.h
  igtl_image.h
  igtl_position.h
  igtl_transform.h
  igtl_types.h
  igtl_util.h
  igtl_capability.h
  )

SET(igtlutil_SOURCES
  igtl_header.c
  igtl_image.c
  igtl_position.c
  igtl_transform.c
  igtl_util.c
  igtl_capability.c
  )       


if (${OpenIGTLink_PROTOCOL_VERSION} STREQUAL "2")
  SET(igtlutil_HEADS
    ${igtlutil_HEADS}
    igtl_colortable.h
    igtl_imgmeta.h
    igtl_lbmeta.h
    igtl_point.h
    igtl_tdata.h
    igtl_qtdata.h
    igtl_trajectory.h
    igtl_unit.h
    igtl_sensor.h
    igtl_string.h
    igtl_ndarray.h
    igtl_bind.h
    igtl_qtrans.h
    igtl_polydata.h
    )
  SET(igtlutil_SOURCES
    ${igtlutil_SOURCES}
    igtl_colortable.c
    igtl_imgmeta.c
    igtl_lbmeta.c
    igtl_point.c
    igtl_tdata.c
    igtl_qtdata.c
    igtl_trajectory.c
    igtl_unit.c
    igtl_sensor.c
    igtl_string.c
    igtl_ndarray.c
    igtl_bind.c
    igtl_qtrans.c
    igtl_polydata.c
    )
endif (${OpenIGTLink_PROTOCOL_VERSION} STREQUAL "2")

ADD_LIBRARY(igtlutil
  ${igtlutil_SOURCES}
)

SET_TARGET_PROPERTIES(igtlutil PROPERTIES
  VERSION ${OpenIGTLink_VERSION_MAJOR}.${OpenIGTLink_VERSION_MINOR}.${OpenIGTLink_VERSION_PATCH}
  SOVERSION ${OpenIGTLink_VERSION_MAJOR}
)

#TARGET_LINK_LIBRARIES(igtlutil
#  ${LIBS}
#  )

=== Testing/igtlutil/CMakeLists.txt ===
find_package(OpenIGTLink REQUIRED)
include(${OpenIGTLink_USE_FILE})

ADD_EXECUTABLE(igtl_image_test igtl_image_test.c)
ADD_EXECUTABLE(igtl_header_test igtl_header_test.c)
ADD_EXECUTABLE(igtl_transform_test igtl_transform_test.c)
ADD_EXECUTABLE(igtl_status_test igtl_status_test.c)
ADD_EXECUTABLE(igtl_util_test igtl_util_test.c)
ADD_EXECUTABLE(igtl_position_test igtl_position_test.c)
ADD_EXECUTABLE(igtl_capability_test igtl_capability_test.c)

if (${OpenIGTLink_PROTOCOL_VERSION} STREQUAL "2")
  ADD_EXECUTABLE(igtl_colortable_test igtl_colortable_test.c)
  ADD_EXECUTABLE(igtl_imgmeta_test igtl_imgmeta_test.c)
  ADD_EXECUTABLE(igtl_lbmeta_test igtl_lbmeta_test.c)
  ADD_EXECUTABLE(igtl_point_test igtl_point_test.c)
  ADD_EXECUTABLE(igtl_tdata_test igtl_tdata_test.c)
  ADD_EXECUTABLE(igtl_trajectory_test igtl_trajectory_test.c)
  ADD_EXECUTABLE(igtl_sensor_test igtl_sensor_test.c)
  ADD_EXECUTABLE(igtl_string_test igtl_string_test.c)
  ADD_EXECUTABLE(igtl_bind_test igtl_bind_test.c)
  ADD_EXECUTABLE(igtl_ndarray_test igtl_ndarray_test.c)
  ADD_EXECUTABLE(igtl_polydata_test igtl_polydata_test.c)
endif (${OpenIGTLink_PROTOCOL_VERSION} STREQUAL "2")

TARGET_LINK_LIBRARIES(igtl_image_test OpenIGTLink)
TARGET_LINK_LIBRARIES(igtl_header_test OpenIGTLink)
TARGET_LINK_LIBRARIES(igtl_transform_test OpenIGTLink)
TARGET_LINK_LIBRARIES(igtl_status_test OpenIGTLink)
TARGET_LINK_LIBRARIES(igtl_util_test OpenIGTLink)
TARGET_LINK_LIBRARIES(igtl_position_test OpenIGTLink)
TARGET_LINK_LIBRARIES(igtl_capability_test OpenIGTLink)

if (${OpenIGTLink_PROTOCOL_VERSION} STREQUAL "2")
  TARGET_LINK_LIBRARIES(igtl_colortable_test OpenIGTLink)
  TARGET_LINK_LIBRARIES(igtl_imgmeta_test OpenIGTLink)
  TARGET_LINK_LIBRARIES(igtl_lbmeta_test OpenIGTLink)
  TARGET_LINK_LIBRARIES(igtl_point_test OpenIGTLink)
  TARGET_LINK_LIBRARIES(igtl_tdata_test OpenIGTLink)
  TARGET_LINK_LIBRARIES(igtl_trajectory_test OpenIGTLink)
  TARGET_LINK_LIBRARIES(igtl_sensor_test OpenIGTLink)
  TARGET_LINK_LIBRARIES(igtl_string_test OpenIGTLink)
  TARGET_LINK_LIBRARIES(igtl_bind_test OpenIGTLink)
  TARGET_LINK_LIBRARIES(igtl_ndarray_test OpenIGTLink)
  TARGET_LINK_LIBRARIES(igtl_polydata_test OpenIGTLink)
endif (${OpenIGTLink_PROTOCOL_VERSION} STREQUAL "2")

ADD_TEST( igtl_image_test_01      ${OpenIGTLink_EXECUTABLE_PATH}/igtl_image_test )
ADD_TEST( igtl_header_test_01     ${OpenIGTLink_EXECUTABLE_PATH}/igtl_header_test )
ADD_TEST( igtl_transform_test_01  ${OpenIGTLink_EXECUTABLE_PATH}/igtl_transform_test )
ADD_TEST( igtl_status_test_01     ${OpenIGTLink_EXECUTABLE_PATH}/igtl_status_test )
ADD_TEST( igtl_util_test_01       ${OpenIGTLink_EXECUTABLE_PATH}/igtl_util_test )
ADD_TEST( igtl_position_test_01   ${OpenIGTLink_EXECUTABLE_PATH}/igtl_position_test )
ADD_TEST( igtl_capability_test_01 ${OpenIGTLink_EXECUTABLE_PATH}/igtl_capability_test )

if (${OpenIGTLink_PROTOCOL_VERSION} STREQUAL "2")
  ADD_TEST( igtl_colortable_test_01 ${OpenIGTLink_EXECUTABLE_PATH}/igtl_colortable_test )
  ADD_TEST( igtl_imgmeta_test_01    ${OpenIGTLink_EXECUTABLE_PATH}/igtl_imgmeta_test )
  ADD_TEST( igtl_lbmeta_test_01     ${OpenIGTLink_EXECUTABLE_PATH}/igtl_lbmeta_test )
  ADD_TEST( igtl_point_test_01      ${OpenIGTLink_EXECUTABLE_PATH}/igtl_point_test )
  ADD_TEST( igtl_tdata_test_01      ${OpenIGTLink_EXECUTABLE_PATH}/igtl_tdata_test )
  ADD_TEST( igtl_trajectory_test_01 ${OpenIGTLink_EXECUTABLE_PATH}/igtl_trajectory_test )
  ADD_TEST( igtl_sensor_test_01     ${OpenIGTLink_EXECUTABLE_PATH}/igtl_sensor_test )
  ADD_TEST( igtl_string_test_01     ${OpenIGTLink_EXECUTABLE_PATH}/igtl_string_test )
  ADD_TEST( igtl_bind_test_01       ${OpenIGTLink_EXECUTABLE_PATH}/igtl_bind_test )
  ADD_TEST( igtl_ndarray_test_01    ${OpenIGTLink_EXECUTABLE_PATH}/igtl_ndarray_test )
  ADD_TEST( igtl_polydata_test_01   ${OpenIGTLink_EXECUTABLE_PATH}/igtl_polydata_test )
endif (${OpenIGTLink_PROTOCOL_VERSION} STREQUAL "2")

=== debian/changelog ===
openigtlink (1.11.0-1) unstable; urgency=low

  * new upstream release
  * update to libopenigtlink1.11 (Closes: #791227)
  * Update to Debian Policy 3.9.6 (no changes)

 -- Dominique Belhachemi <domibel@debian.org>  Fri, 21 Aug 2015 23:26:34 -0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: openigtlink
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Dominique Belhachemi <domibel@debian.org>
 Build-Depends: debhelper (>= 9), cmake, cdbs, quilt
 Build-Depends-Indep: doxygen-latex
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/openigtlink/trunk/
 Vcs-Svn: svn://svn.debian.org/debian-science/packages/openigtlink/trunk/
 Section: libs
@@ -17,7 +16,7 @@
 Breaks: libopenigtlink1-dev (<< 1.10.4~git20131104+3ac531115f-2)
 Section: libdevel
 Architecture: any
-Depends: libopenigtlink1.10v5 (= ${binary:Version}), ${misc:Depends}
+Depends: libopenigtlink1.11 (= ${binary:Version}), ${misc:Depends}
 Description: Open IGT Link is a simple network protocol - development
  Open IGT Link is a simple network protocol intended for trackers,
  robots and other devices to send data to the main application.
@@ -35,11 +34,9 @@
  your own IGT applications.
 
 
-Package: libopenigtlink1.10v5
+Package: libopenigtlink1.11
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libopenigtlink1.10
-Replaces: libopenigtlink1.10
 Description: Open IGT Link is a simple network protocol - runtime
  Open IGT Link is a simple network protocol intended for trackers,
  robots and other devices to send data to the main application. 
@@ -56,16 +53,14 @@
  This package contains library files for OpenIGTLink.
  
 
-Package: libopenigtlink1.10v5-dbg
+Package: libopenigtlink1.11-dbg
 Architecture: any
 Section: debug
 Priority: extra
 Depends:
-    libopenigtlink1.10v5 (= ${binary:Version}),
+    libopenigtlink1.11 (= ${binary:Version}),
     ${misc:Depends}
-Conflicts: libopenigtlink1.10-dbg
-Replaces: libopenigtlink1.10-dbg
-Description: debugging symbols for libopenigtlink1.10v5
+Description: debugging symbols for libopenigtlink1.11
  Open IGT Link is a simple network protocol intended for trackers,
  robots and other devices to send data to the main application.
  Some devices might also accept commands.
@@ -78,7 +73,7 @@
   * Robot-assisted intervention using robotic device and surgical planning
     software 
  .
- This package contains the debugging symbols for libopenigtlink1.10.
+ This package contains the debugging symbols for libopenigtlink1.11.
 
 
 Package: openigtlink-doc

=== debian/rules ===
--- 
+++ 
@@ -19,11 +19,11 @@
 
 DEB_COMPRESS_EXCLUDE_ALL = openigtlink-examples/examples
 
-build/libopenigtlink1.10v5::
+build/libopenigtlink1.11::
 	- cd $(DEB_BUILDDIR) && LD_LIBRARY_PATH=`pwd`/bin:$$LD_LIBRARY_PATH ctest -VV
 
-install/libopenigtlink1.10v5::
-	dh_install -plibopenigtlink1.10    debian/tmp/usr/lib/*.so.*                usr/lib
+install/libopenigtlink1.11::
+	dh_install -plibopenigtlink1.11    debian/tmp/usr/lib/*.so.*                usr/lib
 
 install/libopenigtlink-dev::
 	dh_install -plibopenigtlink-dev    debian/tmp/usr/include/openigtlink/*     usr/include/openigtlink

=== debian/watch ===
version=3
opts=uversionmangle=s/^/1.0.0~svn/,filenamemangle=s/.*rev=(\d+)&.*/openigtlink_1.0.0~svn$1.orig.tar.gz/ \
http://viewvc.na-mic.org/viewcvs.cgi/trunk/OpenIGTLink/?root=NAMICSandBox ^/viewcvs.cgi\?rev=(\d+)&root=NAMICSandBox&view=rev$ \
	debian /bin/sh debian/get-orig-source
